#!/bin/sh

CONFIGFILE=/etc/popfile/defaults

UIPORT=7070
UILOCAL=yes
POPPORT=7071
POPLOCAL=yes

if [ -e $CONFIGFILE ]; then . $CONFIGFILE; fi

if [ "$UILOCAL" = "no" ]; then UILOCAL=0; else UILOCAL=1; fi
if [ "$POPLOCAL" = "no" ]; then POPLOCAL=0; else POPLOCAL=1; fi

PARAMS="--set config_piddir=/var/run/popfile/ --set logger_logdir=/var/log/popfile/"
if [ ! -s /var/lib/popfile/popfile.cfg ]
then
	PARAMS="$PARAMS --set html_port=$UIPORT --set html_local=$UILOCAL --set pop3_port=$POPPORT --set pop3_local=$POPLOCAL"
fi
PARAMS="$PARAMS $1"

cd /var/lib/popfile
export POPFILE_ROOT=/usr/share/popfile
export POPFILE_USER=/var/lib/popfile
umask 0027
exec /usr/share/popfile/popfile.pl $PARAMS

